Subject: Re: bug#17157: [PATCH 1/5] Partially revert "dfa: improve port to freestanding DJGPP"

From: [email-masked]
Date: Tue, 01 Apr 2014 06:00:51 -0600

Hi.

> > One thing is serving more than one master and having the occasional 
> > #ifndef GREP, another thing is doing things twice in grep (via gnulib 
> > and explicitly in dfa.c).
> >
> > setlocale, static_assert etc. should be in a dfacompat.h file that is 
> > not shared between grep and gawk and could also include the #define for 
> > GREP and GAWK symbols.
>
> I could live with that.  It's a good idea.

I should point out that defining GAWK in dfacompat.h is not the right
thing - I define it globally since there are a few gawk-specific bits in
the regex code too.

Thanks,

Arnold